DCMTK - Bug #923

CMake never sets HAVE_CXX_BOOL
2020-01-21 10:53 - Marco Eichelberg

Status: Closed Start date: 2020-01-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Module: CMake Compiler:

Operating System:

Description

The CMake build chain has a test for the presence of the bool type, but apparently never sets the HAVE_CXX_BOOL macro in
osconfig.h.

History

#1 - 2020-01-27 13:20 - Michael Onken
HAVE_CXX_BOOL is not used at all in the public DCMTK, including autoconf, at least in the current version of DCMTK.

#2 - 2020-01-27 13:23 - Michael Onken

- Status changed from New to Feedback

#3 - 2020-05-25 13:32 - Michael Onken
- Status changed from Feedback to Closed

HAVE_CXX_BOOL has been removed from the toolkit.
